Lib libmysql.dll
Type MySQL_Field (ptrstr_Name As Long, ptrstr_org_name As Long, ptrstr_Table As Long, ptrstr_org_table As Long, ptrstr_db As Long, ptrstr_Catalog As Long, ptrstr_def As Long, Length As Long, max_length As Long, name_length As Long, org_name_length As Long, table_length As Long, org_table_length As Long, db_length As Long, catalog_length As Long, def_length As Long, Flags As Long, decimals As Long, charset_nr As Long, xType As Long, Name As String)

Function mysql_initreal Alias "mysql_init" (ByVal PassZero As Long) As Long
Function mysql_closereal Alias "mysql_close" (ByVal hMySQL As Long) As Long
Function mysql_real_connect (ByVal hMySQL As Long, ByVal Host As String, ByVal User As String, ByVal Password As String, ByVal Database As String, ByVal Port As Long, ByVal UnixSocket As String, ByVal ClientFlag As Long) As Long
Function mysql_queryreal Alias "mysql_query" (ByVal hMySQL As Long, ByVal Query As String) As Long
Function mysql_store_result (ByVal hMySQL As Long) As Long
Function mysql_free_result (ByVal hEnum As Long) As Long
Function mysql_num_fields (ByVal hEnum As Long) As Long
Function mysql_num_rows (ByVal hEnum As Long) As Long
Function mysql_affected_rows (ByVal hMySQL As Long) As Long
Function mysql_insert_id (ByVal hMySQL As Long) As Long
Function mysql_error (ByVal hMySQL As Long) As Long
Function mysql_fetch_row (ByVal hEnum As Long) As Long

Function mysql_fetch_field (ByVal hEnum As Long) As Long
Function mysql_fetch_lengths (ByVal hEnum As Long) As Long

Function mysql_get_server_info (ByVal hMySQL As Long) As Long
Function mysql_get_host_info (ByVal hMySQL As Long) As Long
Function mysql_get_client_info () As Long
